Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.simulator
Class EnvironmentController

    java.lang.Object
      lbg.simulator.EnvironmentController

    public class EnvironmentController

extends java.lang.Object

Author:
  Cyril Briquet

Constructor Summary
`EnvironmentController(int peer_count)`

Method Summary
`boolean` | `canScheduleAndNegotiate()`
`void` | `notifyEnvironmentController(int peer_id, NegotiatorController neg_ctrlr)`
`void` | `notifyEnvironmentController(int peer_id, SchedulerController sched_ctrlr)`
`void` | `processSelfEvents()`
`void` | `scheduleAndNegotiate()`
`void` | `setNegotiatorAndScheduler(int peer_id, Negotiator negotiator, Scheduler scheduler)`
`void` | `setPeers(Peer[] peers)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EnvironmentController

    public EnvironmentController(int peer_count)
                          throws GridException

Throws:
  `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### setPeers

    public void setPeers(Peer[] peers)
                  throws GridException

  Throws:
    `GridException`

### setNegotiatorAndScheduler

    public void setNegotiatorAndScheduler(int peer_id,
                                          Negotiator negotiator,
                                          Scheduler scheduler)
                                   throws GridException

  Throws:
    `GridException`

### notifyEnvironmentController

    public void notifyEnvironmentController(int peer_id,
                                            SchedulerController sched_ctrlr)
                                     throws GridException

  Throws:
    `GridException`

### notifyEnvironmentController

    public void notifyEnvironmentController(int peer_id,
                                            NegotiatorController neg_ctrlr)
                                     throws GridException

  Throws:
    `GridException`

### canScheduleAndNegotiate

    public boolean canScheduleAndNegotiate()

### scheduleAndNegotiate

    public void scheduleAndNegotiate()
                              throws GridException

  Throws:
    `GridException`

### processSelfEvents

    public void processSelfEvents()
                           throws GridException

  Throws:
    `GridException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.